export interface CompileCSSOptions {
    className: string;
    pseudo: string;
    media: string;
    support: string;
    property: string;
    value: number | string;
    unstable_cssPriority: number;
    rtlClassName?: string;
    rtlProperty?: string;
    rtlValue?: number | string;
}
/**
 * Normalizes pseudo selectors to always contain &, requires to work properly with comma-separated selectors.
 *
 * @example
 *   ":hover" => "&:hover"
 *   " :hover" => "& :hover"
 *   ":hover,:focus" => "&:hover,&:focus"
 *   " :hover, :focus" => "& :hover,& :focus"
 */
export declare function normalizePseudoSelector(pseudoSelector: string): string;
export declare function compileCSSRules(cssRules: string): string[];
export declare function compileCSS(options: CompileCSSOptions): [string, string?];
