"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveStaticStyleRules = void 0;

var compileStaticCSS_1 = /*#__PURE__*/require("./compileStaticCSS");

var compileCSS_1 = /*#__PURE__*/require("./compileCSS");

function resolveStaticStyleRules(styles, result) {
  if (result === void 0) {
    result = {};
  }

  if (typeof styles === 'string') {
    var cssRules = compileCSS_1.compileCSSRules(styles);

    for (var _i = 0, cssRules_1 = cssRules; _i < cssRules_1.length; _i++) {
      var rule = cssRules_1[_i];
      addResolvedStyles(rule, result);
    }
  } else {
    // eslint-disable-next-line guard-for-in
    for (var property in styles) {
      var value = styles[property];
      var staticCSS = compileStaticCSS_1.compileStaticCSS(property, value);
      addResolvedStyles(staticCSS, result);
    }
  }

  return result;
}

exports.resolveStaticStyleRules = resolveStaticStyleRules;

function addResolvedStyles(cssRule, result) {
  if (result === void 0) {
    result = {};
  } // 👇 static rules should be inserted into default bucket


  result.d = result.d || [];
  result.d.push(cssRule);
}
//# sourceMappingURL=resolveStaticStyleRules.js.map