"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hashPropertyKey = void 0;

var hash_1 = /*#__PURE__*/require("@emotion/hash");

function hashPropertyKey(pseudo, media, support, property) {
  // uniq key based on property & selector, used for merging later
  var computedKey = pseudo + media + support + property; // "key" can be really long as it includes selectors, we use hashes to reduce sizes of keys
  // ".foo :hover" => "abcd"

  var hashedKey = hash_1.default(computedKey); // As these hashes are used as object keys in build output we should avoid having numbers as a first character to
  // avoid having quotes:
  // {
  //   "1abc": {}, // we don't want this
  //   Aabc: {}, // no quotes
  // }

  var firstCharCode = hashedKey.charCodeAt(0);
  var startsWithNumber = firstCharCode >= 48 && firstCharCode <= 57;

  if (startsWithNumber) {
    return String.fromCharCode(firstCharCode + 17) + hashedKey.substr(1);
  }

  return hashedKey;
}

exports.hashPropertyKey = hashPropertyKey;
//# sourceMappingURL=hashPropertyKey.js.map