"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hyphenateProperty = void 0;
var uppercasePattern = /[A-Z]/g;
var msPattern = /^ms-/;
var cache = {};

function toHyphenLower(match) {
  return '-' + match.toLowerCase();
}

function hyphenateProperty(name) {
  if (cache.hasOwnProperty(name)) {
    return cache[name];
  }

  if (name.substr(0, 2) === '--') {
    return name;
  }

  var hName = name.replace(uppercasePattern, toHyphenLower);
  return cache[name] = msPattern.test(hName) ? '-' + hName : hName;
}

exports.hyphenateProperty = hyphenateProperty;
//# sourceMappingURL=hyphenateProperty.js.map