import { resolveStaticStyleRules } from './runtime/resolveStaticStyleRules';
/**
 * Register static css.
 * @param styles - styles object or string.
 */

export function makeStaticStyles(styles) {
  var styleCache = {};
  var stylesSet = Array.isArray(styles) ? styles : [styles];

  function useStaticStyles(options) {
    var cacheKey = options.renderer.id;

    if (styleCache[cacheKey]) {
      return;
    }

    for (var _i = 0, stylesSet_1 = stylesSet; _i < stylesSet_1.length; _i++) {
      var styleRules = stylesSet_1[_i];
      options.renderer.insertCSSRules(resolveStaticStyleRules(styleRules));
    }

    styleCache[cacheKey] = true;
  }

  return useStaticStyles;
}
//# sourceMappingURL=makeStaticStyles.js.map